Barth
Netterfield

    kst@kde.org

Rick
Chern

    kst@kde.org

2004
A Universidade de British Columbia

# O Tutorial do &kst;

## Bem-vindo

Bem-vindo ao &kst;! Em alguns minutos, você estará prestes a explorar as ricas funcionalidades deste pacote de desenho e manipulação de dados. Aqui estão algumas das tarefas que você poderá fazer com o &kst;:

- Imprimir rapidamente vários gráficos, usando apenas a linha de comandos.

- Analisar os dados, usando um conjunto extenso de ferramentas que incluem histogramas, espectros de potência e equações personalizadas.

- Ampliar e reduzir sem esforço as áreas interessantes dos gráficos, usando tanto o rato como o teclado

- Monitorizar dados transmitidos em tempo-real com as capacidades de gráficos em tempo-real do &kst;.

Este tutorial cobre as bases da instalação, execução e funcionamento do &kst;. Baseia-se na Introdução Rápida ao &kst; Quick Tour de Barth Netterfield. Você está convidado a investigar ainda mais as funcionalidades, em qualquer altura. Todas as funcionalidades estão documentos no resto deste manual.

## Iniciar o &kst; a partir da Linha de Comandos

Uma utilização normal do &kst; é a produção rápida de gráficos de dados a partir da linha de comandos. Este método de produção de gráficos não necessita praticamente de qualquer conhecimento da interface gráfica do &kst;, produzindo à mesma resultados imediatos e úteis.

Este tutorial usa um pacote de demonstração de ficheiros de dados que são instalados com o &kst; em `$`KDEDIR`/share/apps/kst/tutorial`, onde o `$`KDEDIR`` é o local em que o &kde; está instalado no seu sistema (você poderá descobrir o seu valor com o comando `kde-config --prefix`).

Se o utilizador tiver uma versão do &kst; anterior à 1.1.0, poderá encontrar os dados do tutorial disponíveis em http://omega.astro.utoronto.ca/kst/tutorial/kst_tutorialdata.tgz. Obtenha e descomprima o pacote, mudando de seguida para a pasta resultante:

    tar -zxvf kst_tutorialdata.tgz
    cd kst_tutorialdata

Para ter uma ideia geral de todas as opções da linha de comandos do &kst;, escreva:

    kst --help

Será apresentada uma descrição da sintaxe e uma lista de comandos, semelhante à seguinte:

    Utilização: kst [opções do Qt] [opções do KDE] [opções] [ficheiros]

    Kst: um programa de visualização de dados.

    Opções genéricas
      --help                    Mostrar ajuda sobre as opções
      --help-qt                 Mostrar opções específicas do Qt
      --help-kde                Mostrar opções específicas do KDE
      --help-all                Mostrar todas as opções
      --author                  Mostrar a informação do autor
      -v, --version             Mostrar a informação da versão
      --license                 Mostrar a informação da licença
      --                        Fim das opções

    Opções
      -F <ficheiroDados>        Indica o ficheiro de dados: usado para sobrepor uma predefinição de ficheiro KST [|]
      -y <Y>                    Campo para o eixo Y (múltiplos permitidos)
      --ye <equação>            Equação para o eixo Y (múltiplos permitidos)
      -e <E>                    Campo para os erros em Y (múltiplos permitidos)
      -x <X>                    Campo ou intervalo para o eixo X [INDEX]
      --xe <X>                  Vector X para as equações x0:x1:n [INDEX]
      -p <Y>                    Campo para o espectro de potência (múltiplos permitidos)
      -h <Y>                    Campo para o histograma (múltiplos permitidos)
      -r <f>                    Taxa de amostragem para o espectro de potência [60.0]
      --ru <U>                  Unidades para a taxa de amostragem PSD [Hz]
      --yu <U>                  Unidades dos vectores Y [V]
      -l <P>                    O comprimento dos FFTs é 2^P [10]
      -f <F0>                   Primeira trama a ler [-2]
      -n <NS>                   Número de tramas a ler [-2]
      -s <NS>                   Número de tramas a ignorar em cada leitura [-1]
      -a                        Aplicar o filtro 'boxcar' antes de ignorar as tramas
      -m <NC>                   Separar os gráficos em <NC> colunas
      -d                        Mostrar com pontos em vez de curvas
      -g                        Fornecer uma caixa de legenda
      --print <ficheiro>            Imprimir para um ficheiro e sair [<nenhum>]
      --png <ficheiro>              Gravar como um ficheiro PNG e sair [<nenhum>]

    Argumentos:
      Ficheiros                     Ficheiros de dados (se -y indicado) ou ficheiro *.kst

As opções específicas do &kst; estão indicadas sob a secção `Opções:`. Sempre que apropriado, são indicados os valores por omissão entre parêntesis rectos, no fim das descrições das opções — estes valores serão usados para as opções não fornecidas.

Vejamos em primeiro lugar o ficheiro ASCII `gyrodata.dat`, que vem incluído no pacote de demonstração. Os ficheiros ASCII são um dos vários tipos de ficheiros que o &kst; é capaz de ler. Nos ficheiros ASCII, os dados estão organizados em colunas, onde cada coluna corresponde a um campo e onde os números das colunas (a começar por 1, da esquerda para a direita), correspondem aos nomes dos campos. Este ficheiro ASCII em particular contém 3 colunas, tendo deste modo os nomes dos campos 1, 2 e 3. Para produzir um gráfico da primeira coluna, basta escrever:

    kst -y 1 gyrodata.dat

Serão desenhados todos os dados na primeira coluna:

Repare que não foi indicado qualquer campo para o eixo dos X no gráfico, como tal o &kst; usou o vector INDEX predefinido, como seria de esperar. O vector INDEX é um vector especial no &kst; que contém números inteiros de 0 até N-1, onde o N é o número de valores de dados no vector correspondente no eixo dos Y. Feche o &kst; com a opção Sair do menu Ficheiro ou carregando em Ctrl Q.

O `gyrodata.dat` contém 20 000 tramas, como tal poderá querer ver apenas uma porção dos dados. Para desenhar apenas 10 000 tramas, a partir da trama 7 000, escreva:

    kst -y 1 -f 7000 -n 10000 gyrodata.dat

Uma das potencialidades do &kst; é a sua capacidade de desenhar dados em tempo-real. Imagine que os dados estão a ser adicionados continuamente ao fim do `gyrodata.dat`. Nesse caso, seria útil desenhar apenas a parte mais recente dos dados. Para desenhar apenas as últimas 10 000 tramas do `gyrodata.dat`, escreva o seguinte:

    kst -y 1 -n 10000 gyrodata.dat

Se o `gyrodata.dat` estiver a ser actualizado, este gráfico deslocar-se-á continuamente, de modo a desenhar apenas as últimas 10 000 tramas.

Em vez de ler directamente de um ficheiro de entrada, o &kst; pode usar os dados em ASCII do 'stdin', como sendo uma fonte de dados. Para usar o 'stdin' como entrada de dados, basta escrever `stdin` como um dos nomes de ficheiros. Existem várias utilizações desta capacidade, como a utilização do &kst; como parte de uma sequência de 'pipes':

    cat gyrodata.dat | awk '{print $1 + 2}' | kst -y 1 stdin

O comando acima usa o `awk` para adicionar 2 à primeira coluna do `gyrodata.dat`, antes de enviar o resultado para o &kst;.

Repare que a descrição da opção `y` indica que são permitidas várias instâncias da opção. Isto permite um gráfico rápido de mais que uma curva, ou mesmo mais que um gráfico. Para imprimir todos os três campos do `gyrodata.dat` em gráficos separados, indique o seguinte comando:

    kst -y 1 -y 2 -y 3 -m 1 gyrodata.dat

A opção `m` indica que deverão ser usados gráficos em separado, em vez de apenas um, como é demonstrado em baixo:

## Uma Introdução Rápida ao Assistente de Dados

Embora o uso do &kst; a partir da linha de comandos seja rápido e conveniente, poderão existir situações em que seja mais simples importar os dados a partir da interface gráfica do utilizador — por exemplo, se já tiver o &kst; aberto com outros dados carregados ou, simplesmente, porque prefere usar a interface gráfica. Se ficar familiarizado com ambos os métodos de importação de dados, poderá fazer uma utilização mais eficiente do &kst;.

O Assistente de Dados oferece uma forma rápida e simples de criar vectores, curvas e gráficos no &kst; a partir de ficheiros de dados. Para lançar o assistente, seleccione a opção Assistente de Dados... no menu Dados ou carregue no botão da barra de ferramentas. Será notificado para seleccionar uma fonte de dados. Escolha o ficheiro `gyrodata.dat` usado nos exemplos da linha de comandos e carregue em Próximo. Será apresentada a seguinte janela:

Ecrã 2 do Assistente de Dados
Ecrã 2 do Assistente de Dados

Os campos disponíveis no ficheiro `gyrodata.dat` estão indicados à esquerda. Você poderá filtrar a lista de campos seleccionar se indicar uma sequência de correspondência (os caracteres especiais, como o `*`, são suportados) no campo de texto por cima da lista. Assinale as opções para os campos 1, 2 e 3.

A secção de Intervalo de Dados é usada para definir o intervalo de dados a ler a partir dos vectores seleccionados no ficheiro de entrada. A discussão seguinte assume o conhecimento das tramas. Em resumo, uma trama é apenas um conjunto de amostras de dados, em que cada ficheiro de dados é composto por um conjunto de tramas. Para uma descrição detalhada deste conceito, veja em .

Início, Contar do fim, Intervalo e Ler até ao fim

  Se usar estas quatro opções, poderá definir os limites inferior e superior do intervalo de dados. Por exemplo, seleccione a opção Contar do fim e indique 10 000 como Intervalo, para ler apenas as últimas 10 000 tramas. Se o `gyrodata.dat` estiver a ser actualizado em tempo-real, as adições subsequentes seriam lidas a partir do fim do ficheiro.

Ler 1 amostra por N tramas e Primeiro o filtro 'boxcar'

  Para além dos limites inferior e superior, poderão ser definidas as amostras a ler do intervalo seleccionado. Se a opção Ler 1 amostra por N tramas (em que o N é o valor introduzido) não estiver seleccionada, todas as amostras no intervalo seleccionado serão lidas. Em alternativa, as tramas no ficheiro de dados poderão ser ignoradas se seleccionar a opção Ler 1 amostra por N tramas. Por agora, desligue a opção Ler 1 amostra por N tramas.

A configuração dos espectros de potência e do eixo dos X poderá ser feita na secção Tipos de Gráfico.

XY, Espectro de Potência e XY e Espectro de Potência

  Seleccione a opção XY e Espectro de Potência para produzir gráficos para os dados em si e para o seu espectro de potência. Para mais informações sobre as opções disponíveis para o espectro de potência, veja em .

Vector do Eixo dos X

  O vector a usar como vector independente para os gráficos. O utilizador poderá seleccionar um campo a partir do seu ficheiro de dados ou o vector INDEX. Dado que o `gyrodata.dat` não contém qualquer vector do eixo dos X, deixe a selecção como INDEX.

A sub-secção das Opções do FFT, na secção Tipos de Gráfico, está disponível apenas se for desenhado um espectro de potência. Este tutorial não irá lidar com os detalhes dos espectros de potência, como tal use as opções predefinidas para esta sub-secção.

Quando estiver satisfeito com todas as opções, carregue em Próximo para passar à janela seguinte.

Ecrã 3 do Assistente de Dados
Ecrã 3 do Assistente de Dados

A partir daqui, poderá alterar as opções gerais dos gráficos. A maioria das opções são auto-explicativas. Seleccione a opção 1 novo gráfico por curva para a Colocação das Curvas e Numa nova janela para a Colocação do Gráfico. Isto irá colocar todos os seis gráficos (três curvas e três espectros de potência) na mesma janela.

Logo que esteja satisfeito com todas as opções, carregue em Terminar para gerar os gráficos:

Os Gráficos Gerados
Os Gráficos Gerados

A geração destes gráficos deu algum trabalho a fazer, como tal será bom gravar a sessão actual do &kst; (esta será usada na próxima secção deste tutorial). Seleccione a opção Gravar Como... no menu Ficheiro e grave a sessão como `sessao_kst.kst`:

Gravar uma sessão do KST
Gravar uma sessão do KST

A gravação de uma sessão do &kst; guarda todos os gráficos, objectos de dados (você irá aprender mais sobre estes posteriormente) e as disposições existentes na altura da gravação.

Logo que o ficheiro tenha sido gravado, poderá sair do &kst;.

## As Bases da Manipulação dos Gráficos

Agora que se sente mais confortável a criar gráficos no &kst;, é possível agora explorar algumas das funcionalidades de manipulação de gráficos que estão disponíveis na interface gráfica do &kst;. Inicie o &kst; a partir da linha de comandos com o ficheiro `sessao_kst.kst` que você gravou anteriormente:

    kst sessao_kst.kst

Todos os gráficos que tenha criado anteriormente estarão agora carregados no &kst;. Veja o gráfico com a legenda no eixo dos Y `PSD [V/Hz^{1/2}]`. Para ver mais pormenorizadamente o gráfico, carregue com o botão direito do rato nele e seleccione o item de menu Maximizar, como é mostrado em baixo:

Maximizar um gráfico
Maximizar um gráfico

O gráfico está agora maximizado dentro da janela actual. Repare que o limite superior em X deste gráfico está praticamente plano, pelo que seria útil ver apenas a área do gráfico que parecesse interessante. Para o fazer, certifique-se que está no modo de Ampliação do Rato XY (seleccione Ampliação do Rato XY no menu Gráficos ou carregue no botão da barra de ferramentas ). De seguida, basta arrastar um rectângulo em torno da área interessante. Repare que as coordenadas do cursor do rato estão visíveis no canto inferior direito da janela do &kst; (se não estiverem, verifique se a opção Mostrar a Barra de Estado está assinalada no menu Configuração).

Os eixos do gráfico irão mudar para ampliar a área seleccionada no gráfico. Poderá reparar que existe um pico do lado esquerdo do espectro de potência que se extende para além do novo limite superior no eixo dos Y. Suponha que deseja ver o topo deste pico. Carregue com o botão direito do rato e seleccione a opção Cima do submenu Deslocar. O gráfico dever-se-á deslocar para cima. Claro, provavelmente é mais fácil usar a tecla de atalho associada ao item do menu; isto é verdade para a maioria das funções de ampliação e deslocamento. Neste caso, a tecla de atalho é o cursor para Cima, como tal a forma mais rápida de se deslocar para cima será manter a tecla Cima carregada. Para voltar à ampliação máxima em qualquer altura, carregue com o botão direito no gráfico e seleccione a Ampliação Máxima no submenu Ampliação (ou carregue em M, a tecla de atalho associada à Ampliação Máxima).

Reponha o tamanho do gráfico do espectro de potência, carregando para tal com o botão direito no gráfico e desligando a opção Maximizar.

Agora, veja os gráficos com os eixos dos Y intitulados `Coluna 2` e `Coluna 3`. Estes são gráficos do giroscópio de inclinação e rolamento, respectivamente, do voo BOOMERANG de 1998. Dado que estes dois gráficos estão relacionados, poderá ser útil ampliá-los e posicioná-los em simultâneo. Carregue nos quadrados localizados nos cantos superiores direitos de ambos os gráficos. Eles deverão ficar escurecidos para indicar que os dois gráficos estão agora ligados entre si:

Ampliação Ligada
Ampliação Ligada

Antes de tentarmos ampliar, devemos remover todos os gráficos, excepto aqueles com que estamos a trabalhar. Seleccione o Modo de Disposição no menu Gráficos ou carregue no botão da barra de ferramentas . Para cada gráfico que não seja dos dois a manter, carregue com o botão direito do rato no gráfico e seleccione a opção Remover. Depois, carregue com o botão direito em qualquer lado da janela actual e seleccione a opção Limpar a Disposição. Agora, os dois gráficos deverão partilhar o máximo de espaço dentro da janela. Volte ao modo de Ampliação do Rato XY quando terminar.

Agora tente ampliar para qualquer parte do gráfico superior. Irá reparar que o gráfico inferior irá ficar em branco. Isto acontece porque os eixos do gráfico inferior foram alterados para corresponder aos do gráfico superior e porque não existem dados nessa região em particular do gráfico inferior. Carregue em M, enquanto o cursor do rato está em cima do gráfico, para voltar à ampliação máxima em ambos os gráficos. Agora, mantenha carregada a tecla Ctrl (isto é equivalente a seleccionar o Modo de Ampliação do Rato X do menu Gráficos ou a carregar no botão da barra de ferramentas ). O cursor do rato irá mudar de aspecto para dar uma reacção visual. Enquanto mantém o Ctrl carregado, desenhe um rectângulo no gráfico superior. Repare que a altura do rectângulo pontilhado está restrita, de modo que apenas o eixo dos X seja ampliado. Neste momento, ambos s gráficos irão mostrar dados quando forem ampliados, dado que o eixo dos Y de ambos os gráficos não foi alterado.

Você poderá ligar ou desligar todos os gráficos da janela se seleccionar a opção Ampliação Ligada do menu Gráficos ou se carregar no botão da barra de ferramentas.

Quando acabar de experimentar as funcionalidades de ampliação, poderá fechar o &kst;. Não existe necessidade de gravar os gráficos nesta altura (a menos que o deseje).

## Uma Breve Introdução aos Objectos de Dados

Existe mais para o &kst; do que apenas a simples visualização e desenho dos dados. A partir do assistente de dados, você já viu que o &kst; tem a capacidade de criar espectros de potência dos dados. De facto, o &kst; também é capaz de criar outros objectos de dados, como os histogramas, equações e 'plugins'. Para o poder ajudar, existe um utilitário chamado Gestor de Dados que o auxilia no registo de todos os objectos de dados que você criar.

Inicie o &kst; com o ficheiro `demo.kst`, que vem incluído no pacote de demonstração:

    kst demo.kst

O Kst com o demo.kst
O Kst com o demo.kst

Esta sessão do &kst; contém vectores e outros objectos de dados, criados a partir de dados no `gyrodata.dat`. O gráfico superior contém os dados do azimute, o gráfico do meio contém os dados de inclinação a azul e o gráfico inferior mostra o espectro de potência dos dados de inclinação a azul. Vejamos primeiro os gráficos mais de perto. Ligue os dois gráficos do topo em conjunto com as técnicas que aprendeu na secção anterior. Depois, mantenha carregada a tecla Ctrl para entrar no modo de Ampliação do Rato X. Depois, amplie uma pequena região do gráfico superior (por exemplo, de 50 000 até 53 000), para que ambos os gráficos ligados se ampliem. Irá reparar que a curva de inclinação a azul está correlacionada negativamente com a curva do azimute a vermelho. Isto deve-se ao facto de o giroscópio de inclinação ter sido ligeiramente rodado em relação ao eixo do azimute (de -0,69 graus). A inclinação verdadeira `p'` é: onde o `p` é a inclinação original, o é a rotação do giroscópio de inclinação em relação ao eixo do azimute e o `a` é o giroscópio do azimute. O `p'` é desenhado como uma curva a preto no gráfico do meio. O espectro de potência de `p'` é a curva a preto no gráfico inferior.

Agora, vejamos como é que os três gráficos foram criados. Para mostrar o Gestor de Dados, seleccione a opção Gestor de Dados... do menu Dados ou carregue no botão da barra de ferramentas :

O Gestor de Dados
O Gestor de Dados

O Gestor de Dados contém a lista definitiva dos objectos de dados na sessão actual do &kst;. Também lhe permite editar ou criar novos objectos de dados. Como poderá ver, existem seis curvas (cada uma delas criada a partir de um par de vectores), uma equação, dois espectros de potência e quatro vectores de dados. Carregue com o botão direito do rato em C2-GY_PITCH e seleccione W1-P1 a partir do submenu Remover do Gráfico. Esta opção remove a curva do gráfico P1 na janela W1. Remova também o C-PSD2-V3-GY_PITCH do gráfico P3 na janela W1, usando o mesmo procedimento. Agora, somente as curvas corrigidas serão apresentadas nos gráficos:

Apenas as Curvas Corrigidas
Apenas as Curvas Corrigidas

Para ver como é que o giroscópio de inclinação foi criado, seleccione o item 'C4-cleaned_pitch' e carregue no botão Editar. A janela para Editar a Equação deverá então aparecer:

Editar Equação
Editar Equação

Repare que a equação usada para calcular o `p'` foi introduzida no campo de texto Equação (foi usada uma aproximação a 1, para o `cos(-0,69)`). Sinta-se à vontade para experimentar a configuração desta janela. Carregue em OK (para gravar as alterações feitas) ou em Cancelar quando terminar.

Repare que todos os objectos de dados têm um número indicado por baixo da coluna # Utilizado. Este número indica o número de vezes que o objecto de dados está a ser usado por outros objectos de dados ou pelos gráficos. Dado que foi removida uma curva e um espectro de potência, pelo menos dois objectos deverão ter um 0 listado nesta coluna. Carregue em Apagar para remover permanentemente todos os objectos não usados.

Carregue em Fechar para encerrar o Gestor de Dados. Poderá agora sair do &kst; se o desejar.

## Uma Vista de Olhos Sobre os 'Plugins' e os Eventos

Para terminar esta viagem pelo &kst;, vejamos dois tipos de dados específicos — os 'plugins' e os monitores de eventos.

Um 'plugin' é um objecto de dados flexível, cujo comportamento depende por inteiro do ficheiro de 'plugin' que foi seleccionado. O ficheiro do 'plugin' poderá ser algum que venha incluído na distribuição normal do &kst;, como ser um ficheiro de 'plugin' de terceiros. Poderá descobrir mais instruções sobre como escrever e compilar os ficheiros personalizados dos 'plugins' em . Os 'plugins' permitem ao &kst; efectuar operações arbitrárias sobre um conjunto de dados, dado que os únicos requisitos para um ficheiro de 'plugin' são que estes recebam um conjunto de vectores e valores escalares à entrada e devolvam um conjunto de vectores e escalares.

Por exemplo, será ajustada uma linha simples a um pequeno conjunto de pontos de dados. Inicie o &kst; com um gráfico do primeiro campo do ficheiro de dados `maxima.dat` que vem incluído no pacote de demonstração:

    kst -y 1 -d maxima.dat

A opção `d` indica que apenas os pontos deverão ser desenhados, e não as linhas. O gráfico dos pontos de dados deverá agora estar desenhado:

Gráfico dos Pontos de Dados
Gráfico dos Pontos de Dados

Agora abra o Gestor de Dados. Carregue em 'Plugin'... na secção Novo para criar um novo objecto de 'plugin'. Sob a Selecção do 'Plugin', seleccione o 'plugin' Ajuste linear. Este 'plugin' em particular necessita de dois vectores de entrada — um que contém os valores em X e outro que contém os valores em Y dos pontos de dados a ajustar. Seleccione o INDEX para o Vector de Entrada - Vector X e 1 para o Vector de Entrada - Vector Y. Depois, carregue em OK. Irá reparar que o novo objecto do 'plugin' criou vectores-escravos para guardar os seus resultados. Carregue em Curva... para criar uma curva nova a partir dos vectores de saída. Seleccione o V1-INDEX para o vector do eixo X e P1-kstfit_linear_unweighted-Y Fitted para o vector do eixo Y. Pretende-se colocar a curva no cimo dos pontos de dados do gráfico existente; para tal, na Colocação da Curva, seleccione a opção Colocar no gráfico existente e desligue a opção Colocar num novo gráfico. Finalmente, carregue em OK para criar a curva. Feche o gestor de dados para ver a linha ajustada:

Linha Ajustada
Linha Ajustada

Um procedimento, semelhante ao seguido por você até agora, permitir-lhe-á criar e desenhar os resultados de qualquer tipo de objecto de 'plugins'. Contudo, existe um atalho para criar 'plugins' de ajuste. Se carregar com o botão direito num gráfico irá desenhar o menu de contexto, que contém um submenu Ajustar.... Se seleccionar uma curva do submenu irá invocar a janela de Função de Ajuste, com os vectores em X e Y pré-seleccionados. Depois de ter seleccionado o 'plugin' de ajuste, quando carregar no botão OK irá criar o objecto do 'plugin', criar a curva a partir dos resultados do 'plugin' e colocar a curva no gráfico existente.

Vejamos então agora os eventos. Os objectos dos eventos normalmente vigiam outros vectores ou valores escalares e efectuam acções específicas, quando forem verdadeiras determinadas condições relacionadas com esses vectores ou valores escalares. Carregue no botão Monitor de Eventos... na secção Novo do Gestor de Dados para criar um novo evento:

Monitor de Eventos
Monitor de Eventos

Suponha que os dados do giroscópio de inclinação estavam a ser actualizados em tempo-real e que pretendia obter uma notificação sempre que o giroscópio saísse fora do intervalo `[-0.60, -0.40]`. Para configurar o evento desta forma, indique o seguinte no campo de texto Expressão:

`[C4-cleaned_pitch-sv]>(-0.40) | [C4-cleaned_pitch-sv]<(-0.60)`

Repare que tudo o que foi introduzido, como uma expressão, deverá ser uma expressão booleana. Esta expressão em particular será avaliada como verdadeira sempre que qualquer uma das desigualdades for verdadeira. Seleccione tanto a opção Registar como como Notificar e indique o seu endereço de e-mail à direita da opção Notificar. Carregue em OK para criar o evento.

Agora seleccione a opção Depurar o Kst... do menu Ajuda. Carregue na página Registo para ver o registo de depuração. Se o evento estiver configurado correctamente, deverá agora ver alguns avisos que indicam os valores em X para os quais o evento foi despoletado. Verifique se os valores correspondem aproximadamente aos que esperaria, ao ver o gráfico:

Registo de Depuração
Registo de Depuração

Se os dados do giroscópio de inclinação estivessem a ser actualizados em tempo-real, o monitor de eventos seria despoletado, sempre que existem novos dados apropriados.

Quando tiver terminado, poderá fechar o &kst;.

## Conclusão

Isto conclui o tutorial do &kst;. Esperamos que você tenha adquirido conhecimentos suficientes para se sentir confortável com o &kst;. Tenha em mente que este tutorial não cobre todas as funcionalidades do &kst; — existe ainda muito para explorar e experimentar. O resto deste manual é um guia aprofundado sobre conceitos que vão dos fundamentos da disposição da janela até à criação de 'plugins' personalizados e leitores de fontes de dados. Está encorajado a usar o &kst; de formas interessantes e inovadoras — provavelmente irá concluir que não só corresponde como inclusive excede as suas necessidades e requisitos.